/*  ==========================================================================
    // Switch
    //
    // mobile switch element
    //
    // .off - off
    //
    // Markup: forms-switch.html
    //
    // Style guide: Modules.Switch
    //
    ========================================================================== */

   	// please make that code more beautiful
   	// styling of code
   	// adding variables

   	.switch
	{
	  	position: relative;
	  	
	  	width: 35px;
	  	height: 21px;
	  	margin: 0 auto;
	  	float: left;

	  	background-color: $green;
	  	border: 2px solid $green;
	  	border-radius: 15px;
		transition:           background-color 0.15s ease-out, border-color 0.15s ease-out;

		&.off
        {
            background-color: $red;
            border: 2px solid $red;

            .switch-selection
            {
                left: -2px;

                background: $red;
                border: 1px solid $gray-60;
            }
        }
	}

	.switch-label
	{
	  	position: relative;
	  	z-index: 2;

	  	@include inline-block;
	  	width: 230px;
	  	padding: 0 30px 5px 5px;

	  	line-height: 2rem;
	  	color: $text-color;
	  	text-align: left;
	  	white-space: nowrap;

	  	&:active
    	{
    	    font-weight: $body-font-weight;
    	}
	}

	.switch-label--one
	{
		left: -76px;
		width: 93px;
	}

	.switch-label--two
	{
		right: auto;
		width: 93px;
	}

	.switch--right
    {
        float: right;

        .switch-label--one,
        .switch-label--two
        {
            left: -190px;
        }
    }

	.switch-label:active
	{
	  	font-weight: $font-weight-bold;
	}

	.switch-label-off
	{
	  	padding-left: 2px;
	  	left: auto;
	}

	.switch-label-on
	{
	  	padding-right: 2px;
	}

	.switch-input
	{
	  	display: none;

	  	&:checked
        {
            +.switch-label
            {
                font-weight: 300;
            }

            +.switch-label-on
            {
                ~.switch-selection
                {
                    left: 13px;
                }
            }
        }
	}

	.switch-input:checked + .switch-label
	{
	  	font-weight: $font-weight-bold;
	  	color: rgba(0, 0, 0, 0.65);
	  	text-shadow: 0 1px rgba(255, 255, 255, 0.25);

	  	-webkit-transition: 0.15s ease-out;
	  	-moz-transition: 0.15s ease-out;
	  	-o-transition: 0.15s ease-out;
	  	transition: 0.15s ease-out;
	}

	.switch-input:checked + .switch-label-on ~ .switch-selection
	{
	  	/* Note: left: 50% doesn't transition in WebKit */
	  	left: 29px;
	}

	.switch-selection
	{
	  	position: absolute;
		top: -2px;
	  	left: 13px;
	  	z-index: 1;

	  	display: block;
	  	width: 21px;
	  	height: 21px;
	
	  	background: $green;
	  	border: 1px solid $gray-60;
	  	border-radius: 9999px;
		transition: left 0.15s ease-out, background-color 0.15s ease-out, border-color 0.15s ease-out;

		&:before
        {
            position: absolute;
            left: 3px;
            top: 3px;

            width: 13px;
            height: 13px;
            content: '';

            background-color: $white;
            border-radius: 99px;
        }
	}